Name:           perl-CGI-Application-Structured-Tools
Version:        0.015
Release:        16%{?dist}
Summary:        Tools to generate and maintain CGI::Application::Structured based web apps
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Application-Structured-Tools/
Source0:        http://www.cpan.org/authors/id/V/VA/VANAMBURG/CGI-Application-Structured-Tools-%{version}.tar.gz
Patch0:         CGI-Application-Structured-Tools-0.015-Adapt-to-Module-Starter-1.71.patch
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(CGI::Application::Structured)
BuildRequires:  perl(DBIx::Class::Schema::Loader)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(HTML::Template)
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(Module::Starter)
BuildRequires:  perl(Module::Starter::Plugin::Template)
BuildRequires:  perl(Module::Starter::Simple)
BuildRequires:  perl(Pod::Coverage)
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::WWW::Mechanize::CGIApp)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# RPM 4.8 style:
%filter_from_requires /main_module>)/d; /perl(<tmpl_var)/d; /perl(<tmpl_var/d
%{?perl_default_filter}
# RPM 4.9 style:
%global __requires_exclude %{?__requires_exclude|%__requires_exclude"|}main_module>\\)
%global __requires_exclude %__requires_exclude|perl\\(<tmpl_var\\)
%global __requires_exclude %__requires_exclude|perl\\(<tmpl_var

%description
A simple, medium-weight, MVC, DB web micro-framework built on
CGI::Application. The framework combines tested, well known plugins, templates
and helper scripts to provide a rapid development environment.

%prep
%setup -q -n CGI-Application-Structured-Tools-%{version}
%patch0

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(<tmpl_var)/d'
EOF

%global __perl_requires %{_builddir}/CGI-Application-Structured-Tools-%{version}/%{name}-req
chmod +x %{__perl_requires}

cd lib/CGI/Application/Structured/Tools/templates
for i in create_dbic_schema.pl create_controller.pl \
         boilerplate.t perl-critic.t pod.t pod-coverage.t \
         test-app.t 00-signature.t 01-load.t; do
    chmod 755 $i;
    sed -i 's#!perl#!\/usr\/bin\/perl#' $i;
done

# These are not executables
chmod 644 index.tmpl config-dev.pl

# This is a perl script
sed -i -e '1i#!/usr/bin/perl' server.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README Todo
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/cas-starter.pl

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.015-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.015-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.015-14
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.015-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.015-12
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.015-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 20 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.015-10
- Apply patch to adapt to Module::Starter 1.71 (#1195343)
- Clean up spec file
- Use %%license tag

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.015-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.015-8
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.015-7
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.015-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.015-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.015-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.015-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Petr Pisar <ppisar@redhat.com> - 0.015-2
- Perl 5.16 rebuild

* Tue Feb 14 2012 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.015-1
- Update to 0.015
- Clean up spec file
- Add perl default filter

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.013-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 27 2011 Petr Pisar <ppisar@redhat.com> - 0.013-4
- RPM 4.9 filtering added

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.013-3
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.013-2
- Perl mass rebuild

* Wed Apr 06 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.013-1
- Update to 0.013
- Add perl(Probe::Perl) as a BuildRequires.

* Tue Feb 15 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.007-5
- Improve filtering.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.007-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.007-3
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.007-2
- Mass rebuild with perl-5.12.0

* Thu Oct 15 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.007-1
- Specfile autogenerated by cpanspec 1.78.
